# # #
# /29/regexp2proc.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/29-become-a-proc-star
# # #

# Use this with string arrays

class Regexp
  def to_proc
    Proc.new{ |e|
      e.to_s[self]
    }
  end
end

# usage
#  %w|just another string array|.map    &/[jy]/  # => ["j", nil, nil, "y"]
#  %w|just another string array|.select &/[jy]/  # => ["just", "array"]
